Loading...
Searching...
No Matches
mbedtls_entropy_context Struct Reference

Entropy context structure. More...

`#include <entropy.h>`

Collaboration diagram for mbedtls_entropy_context:
[legend]

## Data Fields

mbedtls_md_context_t | private_accumulator
int | private_accumulator_started
int | private_source_count
mbedtls_entropy_source_state | private_source [MBEDTLS_ENTROPY_MAX_SOURCES]
mbedtls_threading_mutex_t | private_mutex

## Detailed Description

Entropy context structure.

Definition at line 106 of file entropy.h.

## Field Documentation

## private_accumulator

mbedtls_md_context_t mbedtls_entropy_context::private_accumulator

Definition at line 107 of file entropy.h.

## private_accumulator_started

int mbedtls_entropy_context::private_accumulator_started

Definition at line 108 of file entropy.h.

## private_mutex

mbedtls_threading_mutex_t mbedtls_entropy_context::private_mutex

mutex

Definition at line 114 of file entropy.h.

## private_source

mbedtls_entropy_source_state mbedtls_entropy_context::private_source[MBEDTLS_ENTROPY_MAX_SOURCES]

Definition at line 112 of file entropy.h.

## private_source_count

int mbedtls_entropy_context::private_source_count

Definition at line 111 of file entropy.h.

The documentation for this struct was generated from the following file:

- entropy.h